#!/bin/sh

echo "BIXOLON Co., Ltd."
echo "BIXOLON PRINTER MAC DRIVER V1.2.2 Installer"
echo "---------------------------------------"
echo ""
echo ""

ROOT_UID=0

if [ "$UID" -ne "$ROOT_UID" ]
then
    echo "This script requires root user access..."
    echo "Re-run as root user..."
    exit 1
fi

echo "Copying rastertoBixolon_v1.2.2 filter..."

 sudo chmod +x rastertoBixolon_v1.2.2
 sudo cp ./rastertoBixolon_v1.2.2 /usr/libexec/cups/filter/
 sudo chmod 0755 /usr/libexec/cups/filter/rastertoBixolon_v1.2.2
echo ""

echo "Copying model ppd files... "
   sudo cp -r ../Bixolon /usr/share/cups/model/ 
   sudo chmod 0755 /usr/share/cups/model/Bixolon/*
   sudo rm /usr/share/cups/model/Bixolon/SRP350_v*		# not support
   sudo rm /usr/share/cups/model/Bixolon/SRP370_v*		# not support
echo ""

sudo cp /usr/libexec/cups/filter/cgbannertopdf /usr/libexec/cups/filter/cgbannertopdf_org_backup
sudo mv /usr/libexec/cups/filter/cgbannertopdf /usr/libexec/cups/filter/cgbannertopdf_org
sudo cp ./cgbannertopdf /usr/libexec/cups/filter/cgbannertopdf
sudo chmod +x /usr/libexec/cups/filter/cgbannertopdf

echo "Restarting CUPS"
    sudo launchctl unload /System/Library/LaunchDaemons/org.cups.cupsd.plist
    sudo launchctl load /System/Library/LaunchDaemons/org.cups.cupsd.plist
    echo ""

echo "Install Complete"
echo "Add printer queue using OS tool, http://localhost:631, or http://127.0.0.1:631"
echo ""

